<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/02/2011 *
 * ===================                          Last change: 08/02/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-earning.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Extra earnings for members                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Zusatzverdienste fuer Mitglieder                 *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0.0');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0'));

// This extension is in development (non-productive)
enableExtensionProductive(FALSE);

switch (getExtensionMode()) {
	case 'setup': // Do stuff when installation is running
		// Add member menu
		addMemberMenuSql('earn', 'earning', 'Zusatzverdienste', 2);

		// Admin menu
		addAdminMenuSql('setup', 'list_earning', 'Zusatzverdienste...', 'Veralten Sie hier bequem alle Zusatzverdienste (wie z.B. verg&uuml;tete PopUps usw.).', 6);

		// Earning data table
		addDropTableSql('earning_data');
		addCreateTableSql('earning_data', "
`earning_id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`earning_group` VARCHAR(255) NOT NULL DEFAULT 'INVALID',
`earning_provider` VARCHAR(255) NOT NULL DEFAULT 'INVALID',
`earning_sorting` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`earning_id`),
UNIQUE INDEX `earning_group_name` (`earning_group`, `earning_provider`)",
			'Registered (extra) earnings');

		// User->earnings connection table
		addDropTableSql('user_earning');
		addCreateTableSql('user_earning', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`earning_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`earning_userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`earning_active` ENUM('Y','N') NOT NULL DEFAULT 'Y',
`earning_added` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
`earning_canceled` TIMESTAMP NULL DEFAULT NULL,
`earning_daily_amount` SMALLINT(7) NOT NULL DEFAULT 0,
`earning_current_amount` SMALLINT(7) NOT NULL DEFAULT 0,
`earning_points` FLOAT(20,5) NOT NULL DEFAULT 0.00000,
PRIMARY KEY (`id`),
UNIQUE INDEX `user_earning` (`earning_id`, `earning_userid`),
INDEX (`earning_userid`)",
			'User->Earning connections');

		// Register filter
		registerFilter(__FILE__, __LINE__, 'member_footer_extras', 'ADD_EARNING_GROUP_POPUP', FALSE, TRUE, isExtensionDryRun());
		break;

	case 'remove': // Do stuff when removing extension
		// Drop tables
		addDropTableSql('earning_data');
		addDropTableSql('user_earning');

		// Delete entries in menus
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE `what`='earning' LIMIT 1");
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `what`='list_earning' LIMIT 1");

		// Unregister filter
		unregisterFilter(__FILE__, __LINE__, 'member_footer_extras', 'ADD_EARNING_GROUP_POPUP', TRUE, isExtensionDryRun());
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='Y',`locked`='N' WHERE `what`='earning' LIMIT 1");
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='N',`locked`='Y' WHERE `what`='earning' LIMIT 1");
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				addExtensionSql('');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes('');
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		reportBug(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
