<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/14/2013 *
 * ===================                          Last change: 01/14/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : mode-setup.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Steps for setup on ext-user                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Schritte fuer Setup fuer ext-user                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Setup all
addDropTableSql('user_cats');
addCreateTableSql('user_cats', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`cat_id` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`id`),
INDEX (`userid`),
INDEX (`cat_id`)",
	'User->category connection data');

addDropTableSql('user_data');
addCreateTableSql('user_data', "
`userid` BIGINT(20) NOT NULL AUTO_INCREMENT,
`surname` VARCHAR(255) NOT NULL DEFAULT '',
`family` VARCHAR(255) NOT NULL DEFAULT '',
`street_nr` VARCHAR(255) NOT NULL DEFAULT '',
`country` VARCHAR(4) NOT NULL DEFAULT '',
`zip` VARCHAR(6) NOT NULL DEFAULT '',
`city` VARCHAR(255) NOT NULL DEFAULT '',
`email` VARCHAR(255) NOT NULL DEFAULT '',
`birth_day` CHAR(2) NOT NULL DEFAULT '01',
`birth_month` CHAR(2) NOT NULL DEFAULT '01',
`birth_year` VARCHAR(4) NOT NULL DEFAULT '1970',
`password` VARCHAR(255) NOT NULL DEFAULT '',
`max_mails` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`receive_mails` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`refid` BIGINT(20) NULL DEFAULT NULL,
`status` ENUM('UNCONFIRMED','CONFIRMED','LOCKED') NOT NULL DEFAULT 'UNCONFIRMED',
`user_hash` VARCHAR(255) NULL DEFAULT NULL,
`REMOTE_ADDR` VARCHAR(15) NOT NULL DEFAULT '0.0.0.0',
`last_online` VARCHAR(10) NOT NULL DEFAULT 0,
`last_module` VARCHAR(255) NULL DEFAULT NULL,
`ref_clicks` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`total_logins` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`gender` ENUM('M','F') NOT NULL DEFAULT 'M',
`used_points` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
`emails_sent` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`joined` VARCHAR(10) NOT NULL DEFAULT 0,
`last_update` VARCHAR(10) NOT NULL DEFAULT 0,
`last_profile_sent` VARCHAR(10) NOT NULL DEFAULT 0,
`notified` ENUM('Y','N') NOT NULL DEFAULT 'N',
`ref_payout` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
`last_login` VARCHAR(10) NOT NULL DEFAULT 0,
`login_failures` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`last_failure` TIMESTAMP NULL DEFAULT NULL,
PRIMARY KEY (`userid`),
UNIQUE INDEX (`user_hash`),
INDEX (`refid`),
INDEX `status_mails` (`status`, `max_mails`)",
	'Main user data');

addDropTableSql('user_points');
addCreateTableSql('user_points', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`ref_depth` TINYINT(3) UNSIGNED NULL DEFAULT NULL,
`points` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
`locked_points` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
PRIMARY KEY (`id`),
INDEX (`userid`)",
	'User points (no used points)');

addDropTableSql('user_links');
addCreateTableSql('user_links', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`stats_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`link_type` VARCHAR(255) NOT NULL DEFAULT 'NORMAL',
PRIMARY KEY (`id`),
INDEX (`userid`),
INDEX (`stats_id`)",
	'Unconfirmed mails per user');

addDropTableSql('user_stats');
addCreateTableSql('user_stats', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`cat_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`payment_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`subject` VARCHAR(255) NOT NULL DEFAULT '',
`url` TINYTEXT NOT NULL,
`max_rec` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`clicks` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`timestamp_ordered` VARCHAR(10) NOT NULL DEFAULT '',
`pool_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`timestamp_sstart` VARCHAR(10) NOT NULL DEFAULT '',
`timestamp_send` VARCHAR(10) NOT NULL DEFAULT '',
`is_stats` ENUM('Y','N') NOT NULL DEFAULT 'N',
PRIMARY KEY (`id`),
INDEX (`userid`),
INDEX (`cat_id`),
INDEX (`payment_id`),
INDEX (`pool_id`)",
	'Mail statistics per user order');

addDropTableSql('user_stats_data');
addCreateTableSql('user_stats_data', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`stats_type` VARCHAR(255) NOT NULL DEFAULT 'unknown',
`stats_data` VARCHAR(255) NOT NULL DEFAULT '',
`inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`id`),
INDEX (`userid`),
INDEX (`stats_type`)",
	'Member statistics data');

// Admin menu
addAdminMenuSql('user', NULL, 'Mitglieder-Management', 'Mitglieder freischalten, sperren, Accounts editieren, Neuanmeldungen verwalten, {OPEN_CONFIG}POINTS{CLOSE_CONFIG} gutschreiben und abziehen und und und...', 3);
addAdminMenuSql('user', 'del_user', 'Mitglied l&ouml;schen', 'L&ouml;schen Sie hier Mitglied, die gegen die AGBs mehrmals verstossen haben. Bitte seien Sie nett zu Ihren Mitgliedern und l&ouml;schen Sie nicht gleich.', 1);
addAdminMenuSql('user', 'lock_user', 'Mitglied sperren / entsperren', 'Sperren Sie Mitglied, die zu viele unbest&auml;tigte Mails haben oder gegen Ihre AGBs verstossen haben &uuml;ber diesen Men&uuml;punkt.', 3);
addAdminMenuSql('user', 'list_user', 'Mitglieder auflisten', 'Listen Sie alle Mitglied oder eingeschr&auml;nkt nach Suchkritieren Ihre Userdatenbank auf. Sie k&ouml;nen per Klick auf die Usernummer sich Details zum Mitglied ansehen.', 4);
addAdminMenuSql('user', 'add_points', '{OPEN_CONFIG}POINTS{CLOSE_CONFIG} gutschreiben', 'Buchen Sie einem Mitglied direkt {OPEN_CONFIG}POINTS{CLOSE_CONFIG} auf. Sie k&ouml;nnen dazu auch einen Kommentar mitsenden.', 5);
addAdminMenuSql('user', 'edit_user', 'Account editieren', 'Daten eines Mitgliedaccountes &auml;ndern.', 6);
addAdminMenuSql('user', 'list_refs', 'Referrals anzeigen', 'Mit diesem Men&uuml;punkt k&ouml;nnen Sie die generierten Referrals eines Mitgliedes auflisten.', 7);
addAdminMenuSql('user', 'list_links', 'Unbest&auml;tigte Mails', 'Mit diesem Men&uuml;punkt k&ouml;nnen Sie die vom Mitglied nicht best&auml;tigten Mails anzeigen.', 8);
addAdminMenuSql('user', 'list_user_cats', 'Kategorien anzeigen', 'Listet die ausgew&auml;hlten Kategorien eines Mitgliedes auf.', 9);

// Add dependency to ext-other as pool-user requires it
addExtensionDependency('other');

// [EOF]
?>
