<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/02/2012 *
 * ===================                          Last change: 10/02/2012 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : install-page_3.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Installation page include file                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Include-Datei fuer Installationsseite            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isInstaller())) {
	die();
} // END - if

// Set more values
$content['spath']      = postRequestElement('spath');
$content['burl']       = postRequestElement('burl');
$content['title']      = postRequestElement('title');
$content['slogan']     = postRequestElement('slogan');
$content['email']      = postRequestElement('email');

// Use default SMTP data
$smtpHost  = '{?SMTP_HOSTNAME?}';
$smtpUser  = '{?SMTP_USER?}';
$smtpPass1 = '{?SMTP_PASSWORD?}';
$smtpPass2 = '{?SMTP_PASSWORD?}';

// Overwrite it with the data from sent (failed) form
if (isPostRequestElementSet('smtp_host')) $smtpHost = postRequestElement('smtp_host');
if (isPostRequestElementSet('smtp_user')) $smtpUser = postRequestElement('smtp_user');
if (isPostRequestElementSet('smtp_password')) {
	$smtpPass1 = postRequestElement('smtp_password');
	$smtpPass2 = postRequestElement('smtp_password');
} // END - if

// Database login data
$content['mysql_host']      = $GLOBALS['install_mysql']['host'];
$content['mysql_dbase']     = $GLOBALS['install_mysql']['dbase'];
$content['mysql_prefix']    = $GLOBALS['install_mysql']['prefix'];
$content['table_type']      = $GLOBALS['install_mysql']['type'];
$content['mysql_login']     = $GLOBALS['install_mysql']['login'];
$content['mysql_password1'] = $GLOBALS['install_mysql']['password1'];
$content['mysql_password2'] = $GLOBALS['install_mysql']['password2'];

// Set constants for SMTP data
$content['smtp_host']      = $smtpHost;
$content['smtp_user']      = $smtpUser;
$content['smtp_password1'] = $smtpPass1;
$content['smtp_password2'] = $smtpPass2;

// Load template
addTemplateToInstallContent('install_page3', $content);

// [EOF]
?>
